%bcond_with examples

Name:		zxing-cpp
Version:	2.2.1
Release:	3%{?dist}.inferit
Summary:	C++ port of the ZXing ("Zebra Crossing") barcode scanning library

License:	LGPLv2+
Url:		https://github.com/nu-book/zxing-cpp
Source0:	https://github.com/nu-book/zxing-cpp/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	ninja-build
BuildRequires:	libstdc++-static
BuildRequires:	libstdc++-devel
BuildRequires:	cmake(fmt)
%if %{with examples}
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Multimedia)
BuildRequires:	cmake(Qt6Quick)
BuildRequires:	pkgconfig(opencv)
BuildRequires:	pkgconfig(stb)
%endif

%description
This project is a C++ port of ZXing Library.

Same as ZXing, following barcode are supported:
* 1D product: UPC-A UPC-E EAN-8 EAN-13
* 1D industrial: Code 39, Code 93, Code 128, Codabar,
  ITF, RSS-14, RSS-Expanded
* 2D: QR Code, Data Matrix, Aztec (beta), PDF 417 (beta)

%if %{with examples}
%package tools
Summary:	Utilities provided by ZXing library
Group:		System/Libraries

%description tools
This project is a C++ port of ZXing Library.

Same as ZXing, following barcode are supported:
* 1D product: UPC-A UPC-E EAN-8 EAN-13
* 1D industrial: Code 39, Code 93, Code 128, Codabar,
  ITF, RSS-14, RSS-Expanded
* 2D: QR Code, Data Matrix, Aztec (beta), PDF 417 (beta)
%endif

%package devel
Summary:	Development files for %{name}
Requires:	%{name} >= %{version}-%{release}
Provides:	zxingcore-devel = %{version}-%{release}

%description devel
This package contains the development files for %{name}.

%prep
%autosetup -p1

%build
%cmake -GNinja \
  -DCMAKE_INSTALL_LIBDIR:PATH=%{_lib} \
  -DBUILD_DEPENDENCIES:STRING=LOCAL \
  -DBUILD_EXAMPLES:BOOL=%{?with_examples:ON}%{?!with_examples:OFF} \
  -DBUILD_BLACKBOX_TESTS:BOOL=OFF \
  -DBUILD_UNIT_TESTS:BOOL=OFF \
  -DBUILD_PYTHON_MODULE:BOOL=OFF
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md
%{_libdir}/libZXing.so.*

%if %{with examples}
%files tools
%doc README.md
%{_bindir}/ZXingReader
%{_bindir}/ZXingWriter
%endif

%files devel
%{_includedir}/ZXing/
%{_libdir}/libZXing.so
%{_libdir}/cmake/ZXing/
%{_libdir}/pkgconfig/zxing.pc

%changelog
* Wed Feb 19 2025 Eduard Basov <ebasov@msvsphere-os.ru> - 2.2.1-3.inferit
- Rebuild For MSVSphere 10.0

* Fri May 31 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 2.2.1-3.inferit
- Clean up spec

* Thu May 30 2024 Sergey Cherevko <s.cherevko@msvsphere-os.ru> 2.2.1-2.inferit
- Rebuilt for MSVSphere 9.4

* Mon Dec 18 2023 daviddavid <daviddavid> 2.2.1-2.mga10
+ Revision: 2018818
- build and package zxing-cpp tools

* Mon Dec 18 2023 daviddavid <daviddavid> 2.2.1-1.mga10
+ Revision: 2018711
- new version: 2.2.1

* Thu Aug 31 2023 daviddavid <daviddavid> 2.1.0-1.mga10
+ Revision: 1982099
- new version: 2.1.0
- now libmajor is 3

* Mon Dec 26 2022 wally <wally> 1.4.0-2.mga9
+ Revision: 1926923
- bump lib major to 2 due to API breakage (from Debian)
- install BitArray.h header manually for libreoffice build

* Sat Dec 24 2022 wally <wally> 1.4.0-1.mga9
+ Revision: 1926299
- new version 1.4.0

* Wed Apr 06 2022 umeabot <umeabot> 1.2.0-3.mga9
+ Revision: 1845877
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 ns80 <ns80> 1.2.0-2.mga9
+ Revision: 1775326
- add patch from openSUSE for CVE-2021-28021 and CVE-2021-4271[56] (mga#29937)

* Sun Aug 08 2021 luigiwalser <luigiwalser> 1.2.0-1.mga9
+ Revision: 1740345
- 1.2.0

* Thu Dec 17 2020 umeabot <umeabot> 1.1.1-2.mga8
+ Revision: 1660345
- Rebuild for new Qt5

* Mon Sep 14 2020 daviddavid <daviddavid> 1.1.1-1.mga8
+ Revision: 1626505
- new version: 1.1.1

* Sun Sep 13 2020 wally <wally> 1.1.0-3.mga8
+ Revision: 1625939
- add more fixes for pkg-conf .pc file

* Sun Sep 13 2020 wally <wally> 1.1.0-2.mga8
+ Revision: 1625762
- fix devel pkg name
- fix version in pkg-conf .pc file

* Sat Aug 08 2020 daviddavid <daviddavid> 1.1.0-1.mga8
+ Revision: 1611977
- new version: 1.1.0
- upstream rename the library from libZXingCore to libZXing

* Mon Apr 06 2020 daviddavid <daviddavid> 1.0.8-1.mga8
+ Revision: 1565066
- initial package zxing-cpp

